
/*****************************************************************************/
/*                                                                           */
/*  Practica de Sistemes Informatics en Temps Real                           */
/*                                                                           */
/*  Implementacio d'un sequenciador de MIDI per mitja de Real Time Linux     */
/*  control.h: fitxer amb definicions i estructures globals.                 */
/*                                                                           */
/*  Realitzat per: Francisco Jose Aguilar Celdran i Sergio Blanco Cuaresma   */ 
/*                                                                           */
/*****************************************************************************/


#define TAM_BUFFER 40
#define NUM_BUFFERS 2
#define TAM_TAULA_MIDI 51
#define NUM_PRIMER_MIDI 50

#define BASE_D_A 0x220
#define OUTL   (BASE_D_A + 4)
#define OUTH   (BASE_D_A + 5)

#define INFINIT 999999999
#define DEBUG 1
#define DEBUG_NOTES 0

struct taula_musical {
   float freq[TAM_TAULA_MIDI];
   int tics_flanc[TAM_TAULA_MIDI];
};

struct struct_missatge {
   int midi[TAM_BUFFER];
   int tics[TAM_BUFFER];
};


 
